* {
    min-height: 0;
    min-width: 0;
}

:root {
    font-family: Arial, Helvetica, sans-serif;
    color-scheme: dark;
    color: var(--text-color);
    --gap-s: 0.25rem;
    --gap-m: calc(var(--gap-s) * 2);

    --confirm-color: rgb(79, 225, 79);
    --warn-color: yellow;
    --cancel-color: rgb(215, 51, 51);

    --text-color: #FFF;
    --panel-color: rgba(60, 60, 60, 1);
    --bg-color: #FFF1;
}

body {
    background-color: var(--bg-color);
    display: grid;
    min-height: 0px;
    overflow: hidden;
    width: calc(100vw - 1rem);
    height: calc(100vh - 1rem);
    justify-content: center;
}

#root {
    display: grid;
    grid-template-rows: auto 1fr;
    max-width: 1100px;
    width: min(1100px, 100vw);
}

main.content {
    display: grid;
    overflow: auto;
}

.description {
    margin: 5px;
}

nav {
    padding: 5px 10px;
}

/* styling nav bar links */
nav a {
    margin: 0 15px;
    /* color: white; */
    font-size: 2em;
    text-decoration: none;
}

nav .user {
    display: flex;
    flex-direction: row;
    margin-right: 0;
    cursor: pointer;
}

nav .user>p {
    margin-right: 10px;
}

nav .user>img {
    width: 45px;
    height: 45px;
    margin: 0 20px;
}

/* style codeforces logo */

footer {
    display: flex;
    gap: 10px;
    padding-top: 10px;
}

footer img {
    max-height: 45px;
}

/* styling for language select dropdown, feel free to edit */
.problem>label {
    margin: 0px 5px;
}

.problem>select {
    margin: 10px 0px 0px 0px;
}

/* problem history ul */
.historyList {
    list-style-type: none
}

.historyList li {
    padding: 8px 0px;
}

.section-title {
    font-weight: bold;
}

.logout, .logout>button{
    cursor: pointer;
}

.logout> button{
    padding: 12px 0px;
}